com.pivotal.gemfirexd.internal.client.am

## Class SQLExceptionFactory40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.SQLExceptionFactory
  - - com.pivotal.gemfirexd.internal.client.am.SQLExceptionFactory40

    public class SQLExceptionFactory40
    extends SQLExceptionFactory

SQLException factory class to create jdbc 40 exception classes

### Constructor Summary

Constructors
Constructor and Description
`SQLExceptionFactory40()`

### Method Summary

Methods
`SQLException` `getSQLException(String message, String sqlState, int errCode)` creates jdbc4.0 SQLException and its subclass based on sql state

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.SQLExceptionFactory

`notImplemented`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLExceptionFactory40

    public SQLExceptionFactory40()

### Method Detail

#### getSQLException

    public SQLException getSQLException(String message,
                               String sqlState,
                               int errCode)

creates jdbc4.0 SQLException and its subclass based on sql state

Overrides:
  `getSQLException` in class `SQLExceptionFactory`
Parameters:
  `message` - description of the
  `sqlState` -
  `errCode` - derby error code